//
//  ViewController.swift
//  Async
//
//  Created by Keith Welch on 9/14/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var lblStatus: UILabel!
    @IBOutlet weak var btnDownload: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    @IBAction func btnDownloadTouched(sender: AnyObject) {
        
        lblStatus.text = "Downloading"
        let priority = DISPATCH_QUEUE_PRIORITY_DEFAULT
        dispatch_async(dispatch_get_global_queue(priority, 0)) {
            
            // sleep for ten seconds
            // this would be where we do a long running background task
            sleep(10)
            
            // have to use the main queue to update UI
            dispatch_async(dispatch_get_main_queue()) {
                self.lblStatus.text = "Download Completed"
                self.btnDownload.enabled = true
            }
        }

        btnDownload.enabled = false
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }


}

