//
//  ViewController.swift
//  TextField
//
//  Created by Keith Welch on 8/30/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var textField: UITextField!
    @IBOutlet weak var label: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        textField.text = "User entry"
    }

    @IBAction func buttonTouched(sender: AnyObject) {
        label.text = textField.text
    }
    
    @IBAction func textChanged(sender: AnyObject) {
        label.text = textField.text
    }

    @IBAction func editingChanged(sender: AnyObject) {
        label.text = textField.text
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

