//
//  ViewController.swift
//  WebView
//
//  Created by Keith Welch on 9/11/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var txtAddress: UITextField!
    
    @IBOutlet weak var webView: UIWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    @IBAction func btnGoTouched(sender: AnyObject) {
        
        var address = txtAddress.text;
        
        if (address?.rangeOfString("http", options: NSStringCompareOptions.CaseInsensitiveSearch) == nil) {
            address = String(format: "http://%@", address!)
        }

        let url = NSURL(string: address!)
        let request = NSURLRequest(URL: url!)
        
        webView.loadRequest(request)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

