//
//  ViewController.swift
//  ProgressView
//
//  Created by Keith Welch on 9/2/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var progress: UIProgressView!
    
    var timer: NSTimer!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
    }

    func updateProgress() {
        progress.progress += 0.1
        
        if (progress.progress == 1)
        {
            timer.invalidate()
        }
    }
    
    @IBAction func btnStartTouched(sender: AnyObject) {
        progress.progress = 0
        timer = NSTimer.scheduledTimerWithTimeInterval(0.5, target: self, selector: "updateProgress", userInfo: nil, repeats: true)
    }
    
    @IBAction func btnStopTouched(sender: AnyObject) {
        timer.invalidate()
        progress.progress = 0
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

