//
//  ViewController.swift
//  SegmentedControl
//
//  Created by Keith Welch on 8/30/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var segmented: UISegmentedControl!
    
    @IBOutlet weak var label: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        segmented.selectedSegmentIndex = 1
    }

    @IBAction func segmentedChanged(sender: AnyObject) {
        switch (segmented.selectedSegmentIndex)
        {
        case 0:
            label.text = "One"
            break;
        case 1:
            label.text = "Two"
            break;
        case 2:
            label.text = "Three"
            break;
        default:
            label.text = "Two"
            break;
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

